/*
 * Crypto
 *
 * Cryptography code to scramble client-server communications.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef CRYPTO_H
#define CRYPTO_H

#include <string>

class Crypto {
private:
public:
	Crypto();
	static std::string encryptMessage(std::string message);
	static std::string decryptMessage(std::string message);
};

#endif
