/*
 * Definitions
 *
 * Constants used throughout the game.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef DEFINITIONS_H
#define DEFINITIONS_H

#define SCREEN_WIDTH 800
#define SCREEN_HEIGHT 480
#define SCREEN_CENTER SCREEN_HEIGHT/2
#define SCREEN_DEPTH 16
#define CURSOR_SIZE 20

#define PI 3.14159265f
#define ROOT_2 1.41421356237f

#define GAME_VERSION 329
//Change these to create your own server.
#define SERVER_NAME "games.randomlynx.net"
#define SERVER_PORT 2009

#endif
