/*
 * ScreenSurface
 *
 * A wrapper class for the SDL_Surface of the game window.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#include "SDL/SDL.h"

#ifndef SCREEN_SURFACE_H
#define SCREEN_SURFACE_H

class ScreenSurface {
private:
	static SDL_Surface *_surface;
	//static SDL_Surface *_fullscreen_surface;
	//static SDL_Rect _fullscreen_rect;
public:
	ScreenSurface();
	ScreenSurface(const ScreenSurface &ss);
	~ScreenSurface();

	static SDL_Surface *getScreenSurface();
	static void flip();
};

#endif
