/*
 * StringParser
 *
 * Helper class that takes network messages and extract their component variables.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef STRING_PARSER_H
#define STRING_PARSER_H

class StringParser {
public:
	static std::string skimString(std::string &s);
	static int skimInt(std::string &s);
	static float skimFloat(std::string &s);
};

#endif
