/*
 * VerifyQuitSurface
 *
 * Displayed if the user hits ESC, asks the user if they really want to quit.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef VERIFY_QUIT_SURFACE_H
#define VERIFY_QUIT_SURFACE_H

#include <string>

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"

class VerifyQuitSurface {
private:
	SDL_Surface *_surface;
	SDL_Surface *_translucency_surface;
	SDL_Rect _rect;
public:
	VerifyQuitSurface();
	~VerifyQuitSurface();
	void blit();
	void blitMessage();
};

#endif
