/*
 * CargoSurface
 *
 * Renders collected artifacts to the user interface.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef CARGO_SURFACE_H
#define CARGO_SURFACE_H

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"

class CargoSurface {
private:
	SDL_Surface *_surface;
	SDL_Rect _rect;

	static SDL_Surface *_cargo_icons;
	static SDL_Surface *_cargo_hold;
public:
	CargoSurface();
	~CargoSurface();
	void blit();
};

#endif
