/*
 * NetworkEvent
 *
 * Client backend that handles server game messages.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef NETWORK_EVENT_H
#define NETWORK_EVENT_H

#include <string>
#include <vector>
#include "SDL/SDL.h"
#include "SDL/SDL_net.h"
#include "NetworkConnection.h"

class NetworkEvent {
private:
public:
	NetworkEvent();
	static bool handleMessage(std::string message);
};

#endif
