/*
 * ShipInterface
 *
 * Renders ship information (cash, fuel, upgrades) to the screen surface.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef SHIP_SURFACE_H
#define SHIP_SURFACE_H

#include "SDL/SDL.h"

using namespace std;

class ShipSurface {
private:
	SDL_Surface *_surface;
	SDL_Rect _rect;
public:
	ShipSurface();
	~ShipSurface();
	void blit();
};

#endif
